% muxsa-kvm2png(1) Version 1.0 | MUltipleXer for Slides and Audio

NAME
====

**muxsa-kvm2png** — takes a series of screenshots from a virtual machine

SYNOPSIS
========

| **muxsa-kvm2png**

DESCRIPTION
===========

**muxsa-kvm2png** is part of muxsa (MUltipleXer for Slides and Audio),
a collection of Linux tools for efficiently creating video files from
presentation slides and background narration.
For an overview on muxsa, see 
[/usr/share/doc/muxsa/howto.txt](/usr/share/doc/muxsa/howto.txt) and
[https://git-nks-public.tik.uni-stuttgart.de/edu/muxsa](https://git-nks-public.tik.uni-stuttgart.de/edu/muxsa).

**muxsa-kvm2png** assumes that a virtual machine under Linux/KVM with
**spicy**(1) display is running, typically with some slide presentation
software, such as Powerpoint in Windows or Libreoffice in Windows or Linux,
running on it.  It will repeatedly take screnshots and press the PageDown key,
until some kind of "end of presentation" screen is detected.

Options
-------

(none)

FILES
=====

*~/.muxsarc*

:   Per-user default configuration file. Will be sourced by bash and can be
    used to define the environment variables listed below.

*0000.png*, *0001.png*, *0002.png*, ...

:   Default file names of the screenshots taken. 
    See environment variable **MUXSA_KVM2PNG_SLIDE_PREFIX** below.


ENVIRONMENT
===========

**MUXSA_KVM2PNG_VM_NAME**

:   The name of the virual machine, as can be shown with
	**virsh -c qemu:///system list**.
	Default value: _win10-office_


**MUXSA_KVM2PNG_SIZE_X**

:   Desired width of the screenshots to be taken, in pixels.
    **muxsa-kvm2png** will invoke **xdotool**(1) to resize the
	**spicy**(1) window, if needed.
    Default value: _1920_


**MUXSA_KVM2PNG_SIZE_Y**

:   Desired height of the screenshots to be taken, in pixels.
    Default value: _1080_


**MUXSA_KVM2PNG_EXTRA_X**

:   Extra window width, to account for menus and window decoration.
	If needed, **muxsa-kvm2png** will invoke **xdotool**(1) to resize the
    **spicy**(1) window to a witdh 
	of **MUXSA_KVM2PNG_SIZE_X** + **MUXSA_KVM2PNG_EXTRA_X**.
    Default value: _0_


**MUXSA_KVM2PNG_EXTRA_Y**

:   Extra window height, to account for menus and window decoration.
	If needed, **muxsa-kvm2png** will invoke **xdotool**(1) to resize the
    **spicy**(1) window to a height 
	of **MUXSA_KVM2PNG_SIZE_Y** + **MUXSA_KVM2PNG_EXTRA_Y**.
    Default value: _0_ ; in many cases a value of _28_ is useful.


**MUXSA_KVM2PNG_SLIDE_PREFIX**

:   The screenshots will be saved in files named with this prefix, followed by
	a four-digit number and *.png*.
    Default value: "" (empty), i.e., screenshots will be saved as
	*0000.png*, *0001.png*, *0002.png*, ... in the current directory.


**MUXSA_KVM2PNG_SLIDE_NUMBER_START**

:   First number to be used as the four digit sequence number for
	the screenshot file names.
    Default value: _0_ (will be padded to four digits automatically).


**MUXSA_KVM2PNG_SLIDE_NUMBER_END**

:   Last number to be used as the four digit sequence number for
	the screenshot file names.
    Default value: _9999_


**MUXSA_KVM2PNG_FORCE_OVERWRITE**

:   If set to _1_, existing screenshot files will be overwritten
	without asking the user for confirmation.  Otherwise, the program
	will abort if a file already exists.
    Default value: "" (empty)


**MUXSA_KVM2PNG_BUGFIX_SHOOT_TWICE**

:   There have been bug reports, that with some versions of
    KVM/libvirt/spicy, the screenshots were sometimes garbled.
    As a workaround, if this variable is set to _1_, always take
    two screenshots in a row, discard of the first one, and only
    use the second one, which always seemed to be intact in these scenarios.
    Default value: "" (empty)


**MUXSA_KVM2PNG_SLEEP**

:   Sleep time in seconds to wait after emulating a PageDown keystroke,
    before taking the next screenshot.  Adjust to a longer interval
    if your slide presentation uses slide transition effects that take
    longer to settle.
    Default value: _3_ (seconds).


**MUXSA_KVM2PNG_MD5_LAST_SLIDE**

:   Stop taking screenshots after a .png file with this **md5sum**(1)
    output has been shot.
    Default value: _092eb68a91b4d2a73833f00a01dc5cb0_ 
    ("End of slide show. click to exit." screen of Powerpoint,
    screenshot taken at 1920x1080 pixels).

BUGS
====

See: <https://git-nks-public.tik.uni-stuttgart.de/edu/muxsa/issues>

AUTHOR
======

Sebastian Kiesel <sebastian.kiesel@tik.uni-stuttgart.de>

SEE ALSO
========

**muxsa-al2fc(1)**, **muxsa-pngaac2mp4(1)**
